# Method: admin.directory.v1.customers.chrome.printers.batchCreatePrinters

Creates printers under given Organization Unit.

### HTTP request

`POST https://admin.googleapis.com/admin/directory/v1/{parent=customers/*}/chrome/printers:batchCreatePrinters`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The name of the customer. Format: customers/{customer_id} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`https://developers.google.com/workspace/admin/chrome-printer/reference/rest/v1/admin.directory.v1.customers.chrome.printers/batchCreatePrinters#CreatePrinterRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`https://developers.google.com/workspace/admin/chrome-printer/reference/rest/v1/admin.directory.v1.customers.chrome.printers/batchCreatePrinters#CreatePrinterRequest`)`` A list of Printers to be created. Max 50 at a time. |

### Response body

Response for adding new printers in batch.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "printers": [ { object (`https://developers.google.com/workspace/admin/chrome-printer/reference/rest/v1/admin.directory.v1.customers.chrome.printers#Printer`) } ], "failures": [ { object (`https://developers.google.com/workspace/admin/chrome-printer/reference/rest/v1/FailureInfo`) } ] } ``` |

| Fields ||
|---|---|
| `printers[]` | ``object (`https://developers.google.com/workspace/admin/chrome-printer/reference/rest/v1/admin.directory.v1.customers.chrome.printers#Printer`)`` A list of successfully created printers with their IDs populated. |
| `failures[]` | ``object (`https://developers.google.com/workspace/admin/chrome-printer/reference/rest/v1/FailureInfo`)`` A list of create failures. Printer IDs are not populated, as printer were not created. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admin.chrome.printers`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).

## CreatePrinterRequest

Request for adding a new printer.

| JSON representation |
|---|
| ``` { "parent": string, "printer": { object (`https://developers.google.com/workspace/admin/chrome-printer/reference/rest/v1/admin.directory.v1.customers.chrome.printers#Printer`) } } ``` |

| Fields ||
|---|---|
| `parent` | `string` Required. The name of the customer. Format: customers/{customer_id} |
| `printer` | ``object (`https://developers.google.com/workspace/admin/chrome-printer/reference/rest/v1/admin.directory.v1.customers.chrome.printers#Printer`)`` Required. A printer to create. If you want to place the printer under particular OU then populate printer.org_unit_id filed. Otherwise the printer will be placed under root OU. |